:root {
  --primary: #5d911e;
  --primary-hover: #426804;
  --primary-transparent: #fcc40e36;
  --muted: #6c757d;
}

body {
  /* background-color: #f4f6f9; */
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  padding-bottom: 70px;
}

.root {
  width: 100%;
  margin: 0 auto;

  background-color: #f4f6f9;
}

.container {
  position: relative;
  margin-left: auto !important;
  margin-right: auto !important;
  min-height: 100vh;
}

@media (min-width: 992px) {
  .root {
    width: 600px;
  }
}

a {
  text-decoration: none !important;
}

.active {
  background-color: var(--primary) !important;
  color: white !important;
}

/* TEXT */
.text-bold,
.text-bold.table td,
.text-bold.table th {
  font-weight: 700;
}

.text-xs {
  font-size: 0.75rem !important;
}

.text-sm {
  font-size: 0.875rem !important;
}

.text-md {
  font-size: 1rem !important;
}

.text-lg {
  font-size: 1.25rem !important;
}

.text-xl {
  font-size: 2rem !important;
}
.text-xxl {
  font-size: 2.25rem !important;
}

.text-decoration-none {
  text-decoration: none !important;
}

.text-primary-custom {
  color: var(--primary) !important;
}

.bg-primary-custom {
  background-color: var(--primary) !important;
  color: white;
}

.btn-primary-custom {
  background-color: var(--primary);
  border: none;
  color: white;
}

.btn-primary-custom:hover {
  background-color: #4a7518;
  color: white;
}

.bg-primary,
.btn-primary,
a.btn-primary {
  background-color: var(--primary) !important;
  color: white !important;
  border: none;
  font-weight: 700;
}

.bg-primary-transparent {
  background-color: var(--primary-transparent);
  border: solid 1.5px #f0bb0e52 !important;
}

.btn-primary:hover,
a.btn-primary:hover {
  background-color: var(--primary-hover) !important;
  color: white !important;
}

.btn-light-custom {
  background-color: #dee1e4 !important;
  font-weight: 700;
  width: max-content;
}

.btn-light-custom:hover {
  background-color: #c8cacf !important;
}

.menu-card img {
  object-fit: cover;
  aspect-ratio: 1/1;
}

.navbar-light {
  background-color: #f8f9fa;
}

.navbar-bottom {
  position: fixed;
  bottom: 0;
  width: 100%;
  background: white;
  border-top: 1px solid #dee2e6;
  z-index: 1030;
}

.nav-item-custom {
  text-align: center;
  color: #6c757d;
  text-decoration: none;
  font-size: 0.8rem;
  flex: 1;
}

.nav-item-custom.active {
  color: var(--primary);
}

.badge-cart {
  position: absolute;
  top: 0;
  margin-left: 70px;
  z-index: 99;
}

.badge-history {
  position: absolute;
  top: 0;
  margin-left: 25px;
  z-index: 99;
}

.hidden {
  display: none !important;
}

.view-mode-btn {
  cursor: pointer;
}

@media (min-width: 992px) {
  #page-cart {
    width: 600px !important;
  }
}

/* Sembunyikan elemen navigasi */
.nav-hidden {
  display: none !important;
}

/* header image */
.header-image {
  width: auto;
  height: 250px;
  position: absolute;
  z-index: 1;
  top: 0;
  object-fit: fill;
  object-position: top;
  aspect-ratio: 16/9;
}

@media (min-width: 992px) {
  .header-image {
    width: 600px;
  }
}

@media (max-width: 991px) {
  .header-image {
    width: 100vw;
  }
}

@media (max-width: 767px) {
  .header-image {
    height: 200px;
  }
}

/* product image */

.product-image-preview-full {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  display: flex;
  margin: auto;
  align-items: center;
  padding: 0;
  max-width: 600px;
  width: 600px;
}

.product-image-preview-full img {
  width: inherit;
  object-fit: cover;
  height: 70vh;
}

.main-image {
  width: 80vw;
}

@media (min-width: 992px) {
  .product-image-preview img {
    height: 32em;
    object-fit: cover;
    aspect-ratio: 1/1;
    border-radius: 12px;
  }
}

@media (max-width: 991px) {
  .product-image-preview-full {
    width: 100%;
  }
}

/* category  */

.menu-list-wrapper {
  display: flex !important;
  overflow-x: auto !important;
  overflow-y: hidden;
  white-space: nowrap !important;
  padding: 12px 0px 0px 0px;
  gap: 8px;
  transition: all 500ms;
  margin-bottom: 0px;
}

.menu-list-wrapper.sticky {
  margin: 0px !important;
}

.menu-list-wrapper::-webkit-scrollbar {
  display: none;
}

.menu-list-wrapper li a {
  display: block;
  justify-content: center;
  text-align: center;
  flex-direction: column;
  font-size: 16px;
  font-weight: bold;
  padding-top: 8px;
  padding-bottom: 8px;
  width: 100%;
  border-radius: 4px;
  background-color: white;
  border: 1px solid white;
  color: var(--muted);
  /* &.sticky { */
  background-color: rgb(240, 240, 240);
  border: 1px solid rgb(193, 193, 193);
  /* } */
  text-decoration: none !important;

  &.active {
    background-color: var(--primary);
    color: white;
    border: 1px solid var(--primary);
  }
}

.menu-list-wrapper li {
  display: inline-block !important;
  width: 100%;
}

.sub-menu-list-wrapper {
  display: flex !important;
  overflow-x: auto !important;
  overflow-y: hidden;
  padding: 12px 0px 0px 0px;
  gap: 8px;
  transition: all 500ms;
  margin-bottom: 0px;
  white-space: nowrap !important;
}

.sub-menu-list-wrapper.sticky {
  margin: 0px;
}

.sub-menu-list-wrapper::-webkit-scrollbar {
  display: none;
}

.sub-menu-list-wrapper li a {
  display: block !important;
  text-align: center;
  font-size: 16px;
  font-weight: bold;
  padding: 4px;
  border-radius: 4px;
  color: var(--muted);

  /* background-color: rgb(240, 240, 240); */
  /* border: 1px solid rgb(193, 193, 193); */
  &.active {
    color: var(--primary);
    /* border: 1px solid var(--primary); */
    /* background-color: var(--primary); */
  }
}

.sub-menu-list-wrapper li {
  display: inline-block !important;
  width: 100%;
}

.search-bar {
  margin-top: 120px;
  transition: all 500ms;
}

@media (max-width: 992px) {
  .search-bar {
    margin-top: 150px;
  }
}

@media (max-width: 767px) {
  .search-bar {
    margin-top: 60px;
  }
}

/* togle type order */
.toggleContainer,
.toggleContainerOrder {
  position: relative;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  width: fit-content;
  border: 3px solid #eee;
  border-radius: 4px;
  background: #eee;
  font-weight: bold;
  color: #8e8e8e;
  cursor: pointer;
}

.toggleContainer::before,
.toggleContainerOrder::before {
  content: "";
  position: absolute;
  width: 50%;
  height: 100%;
  left: 0%;
  border-radius: 4px;
  transition: all 0.3s;
}

.toggleContainer div,
.toggleContainerOrder div {
  padding: 6px;
  text-align: center;
  z-index: 1;
  color: #151616;
}

.toggleCheckbox,
.toggleCheckboxOrder {
  display: none;
}

.toggleCheckbox:checked + .toggleContainer::before,
.toggleCheckboxOrder:checked + .toggleContainerOrder::before {
  left: 50%;
}

.toggleCheckbox:checked + .toggleContainer div:first-child {
  color: #fff;
  border-radius: 4px;
  background: #28a745;
  transition: color 0.3s;
}

.toggleCheckbox:checked + .toggleContainer div:last-child {
  color: #8e8e8e;
  border-radius: 4px;
  background: #eee;
  transition: color 0.3s;
}

.toggleCheckbox + .toggleContainer div:first-child {
  color: #8e8e8e;
  border-radius: 4px;
  transition: color 0.3s;
}

.toggleCheckbox + .toggleContainer div:last-child {
  color: #fff;
  border-radius: 4px;
  background: #dc3545;
  transition: color 0.3s;
}

.toggleCheckboxOrder:checked + .toggleContainerOrder div:first-child {
  color: #fff;
  border-radius: 4px;
  background: #17a2b8;
  transition: color 0.3s;
}

.toggleCheckboxOrder:checked + .toggleContainerOrder div:last-child {
  color: #8e8e8e;
  border-radius: 4px;
  background: #eee;
  transition: color 0.3s;
}

.toggleCheckboxOrder + .toggleContainerOrder div:first-child {
  color: #8e8e8e;
  border-radius: 4px;
  transition: color 0.3s;
}

.toggleCheckboxOrder + .toggleContainerOrder div:last-child {
  color: #fff;
  border-radius: 4px;
  background: #28a745;
  transition: color 0.3s;
}

/* Bottom Bar */
.bottom-bar {
  width: inherit;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
}

.bottom-bar__item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  cursor: pointer;
  padding-top: 8px;
  padding-bottom: 8px;
  border-radius: 0.25rem;
}

.bottom-bar__item:not(.active) > * {
  color: var(--muted);
}

.bottom-bar__item.active {
  background-color: var(--primary) !important;
  color: white !important;
}

@media (min-width: 992px) {
  .bottom-bar {
    margin: auto;
  }
}

/* input  */
.select-item {
  width: 100%;
  min-height: 40px;
  padding: 8px;
  background-color: var(--default);
  border-radius: 5px;
  font-weight: normal !important;
  /* cursor: pointer; */
}

.select-item:has(input:checked) {
  background-color: var(--primary-transparent);
  border: solid 1.5px #f0bb0e52 !important;
}

input[type="radio"],
input[type="checkBox"] {
  accent-color: var(--primary);
  transform: scale(1.4);
  margin-right: 12px;
  margin-left: 4px;
}

.radio-input-image {
  /* width: 6rem;
  height: 4rem; */
  width: 44px;
  height: 44px;
  object-fit: contain;
}

/* alert custom */
.alert-info-custom {
  background-color: #c8dfeb;
  border-radius: 8px;
  border: 1px solid #1488ba7b;
}

/* loader */
.loading-overlay {
  position: fixed;
  inset: 0;
  background: rgba(255, 255, 255, 0.75);
  backdrop-filter: blur(2px);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.loading-box {
  background: white;
  padding: 20px 24px;
  border-radius: 14px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.08);
}

/* error */
.error-state {
  max-width: 420px;
  margin: auto;
}

.error-state__image {
  width: 180px;
  opacity: 0.9;
}

/* landing page */
.image-wrapper {
  width: 420px;
  height: 520px;
  border-radius: 28px;
  background: linear-gradient(135deg, #7cb342, #c0ca33);
  display: flex;
  align-items: center;
  justify-content: center;
}

.brand-logo {
  width: 40px;
  height: 40px;
  border: 3px solid #4caf50;
  border-radius: 8px;
  position: relative;
}

.brand-logo::before,
.brand-logo::after {
  content: "";
  position: absolute;
  width: 12px;
  height: 12px;
  background: #4caf50;
  border-radius: 3px;
}

.brand-logo::before {
  top: 5px;
  left: 5px;
}

.brand-logo::after {
  bottom: 5px;
  right: 5px;
}

/* Responsive tweak */
@media (max-width: 768px) {
  .image-wrapper {
    width: 100%;
    height: 360px;
  }

  .image-wrapper img {
    width: 210px;
  }
}

/* footer */
.main-footer {
  background-color: #fff;
  border-top: 1px solid #dee2e6;
  color: #869099;
  padding: 1rem;
  margin-left: 0;
  margin-top: auto;
}
/* HOW IT WORKS ACCORDION */

#howItWorksAccordion .accordion-item {
  border: 0;
  border-radius: 10px;
  overflow: hidden;
}

#howItWorksAccordion .accordion-button {
  background: #ffffff;
  color: #222;
  font-weight: 600;
  box-shadow: none;
}

#howItWorksAccordion .accordion-button:not(.collapsed) {
  background: #ffffff;
  color: #222;
}

#howItWorksAccordion .accordion-button:focus {
  box-shadow: none;
}

#howItWorksAccordion .accordion-body {
  background: #f7f7f7;
}

#howItWorksAccordion .accordion-button::after {
  display: none;
}

.step-icon {
  width: 34px;
  height: 34px;
  border-radius: 50%;
  background: var(--primary);
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 14px;
  margin-left: auto;
}

.benefit-icon {
  width: 64px;
  height: 64px;
  border-radius: 12px;
  background: var(--primary);

  display: flex;
  align-items: center;
  justify-content: center;

  color: white;
  font-size: 26px;
}

.btn-outline-custom {
  border: 1.5px solid var(--primary) !important;
  color: var(--primary) !important;
}

.btn-outline-custom:hover {
  background-color: var(--primary) !important;
  color: white !important;
}

/* Responsive tweak */
@media (min-width: 992px) {
  .section-banner {
    padding-left: 8rem !important;
    padding-right: 8rem !important;
  }
}

@media (min-width: 992px) {
  .px-lg-6 {
    padding-left: 7rem !important;
    padding-right: 7rem !important;
  }
}
